# Erlang/OTP 27.0-rc0

Welcome to Erlang/OTP, a complete development environment for concurrent programming.

The Erlang language is described in the [Erlang Reference Manual](`e:system:reference_manual.md`). An Erlang tutorial can be found in [Getting Started With Erlang](`e:system:getting_started.md`).

In addition to the documentation here Erlang is described in several books like:

* ["Introducing Erlang"][1] from O'Reilly.
* ["Learn You Some Erlang for Great Good!"][2] from No Starch Press.
* ["Erlang Programming"][3] from O'Reilly.
* ["Programming Erlang"][4] from Pragmatic.
* ["Erlang and OTP in Action"][5] from Manning.
* ["Designing for Scalability with Erlang/OTP"][6] from O'Reilly.

These books are highly recommended as a start for learning Erlang.

More information about learning resources, editors and other tools can be found on our [official Erlang web site](https://erlang.org/community).

* Erlang/OTP is divided into a number of [OTP applications](`m:application`). An application normally contains Erlang modules. Some OTP applications, such as the C interface [erl\_interface](`e:erl_interface:index.html`), are written in other languages and have no Erlang modules.

* When developing with Erlang/OTP you usually test your programs from the interactive shell (see [Getting Started With Erlang](`e:system:getting_started.md`)) where you can call individual functions. There is also a number of tools available, such as the graphical [Debugger](`e:debugger:index.html`) and the [Observer tool](`e:observer:index.html`) for inspection of system information, ets and mnesia tables etc.
* For questions and discussions about Erlang we recommend [ErlangForums](https://erlangforums.com).
* There is also the [Frequently Asked Questions](https://www.erlang.org/faq/faq.html) which can be of interest.
* Additional information and links of interest for Erlang programmers can be found on the Erlang Open Source site https://www.erlang.org.

[1]: https://www.oreilly.com/library/view/introducing-erlang-2nd/9781491973363
[2]: https://www.nostarch.com/erlang
[3]: https://www.oreilly.com/library/view/erlang-programming/9780596803940
[4]: https://www.pragprog.com/titles/jaerlang2/programming-erlang-2nd-edition/
[5]: https://www.manning.com/logan
[6]: https://shop.oreilly.com/product/0636920024149.do
